diff --git a/Tools/TrfTestsART/CMakeLists.txt b/Tools/TrfTestsART/CMakeLists.txt
new file mode 100644
index 0000000000000000000000000000000000000000..9c80c02ca43524b2f63d34366bed7295f5d8b453
--- /dev/null
+++ b/Tools/TrfTestsART/CMakeLists.txt
@@ -0,0 +1,10 @@
+################################################################################
+# Package: TrfTestsART
+################################################################################
+
+# Declare the package name:
+atlas_subdir( TrfTestsART )
+
+# Install files from the package:
+atlas_install_runtime( test/*.sh )
+atlas_install_scripts( test/*.sh test/*.py )
diff --git a/Tools/TrfTestsART/test/test_trf_data18_mt.sh b/Tools/TrfTestsART/test/test_trf_data18_mt.sh
new file mode 100755
index 0000000000000000000000000000000000000000..d30d07365c37c88332364a3d8893b09a296ff5f0
--- /dev/null
+++ b/Tools/TrfTestsART/test/test_trf_data18_mt.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+#
+# art-description: Reco_tf.py q431 RAWtoALL in MT mode
+# art-type: grid
+# art-include: master/Athena
+# art-athena-mt: 8
+
+export ATHENA_CORE_NUMBER=8
+Reco_tf.py --inputBSFile=/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/Tier0ChainTests/data18_13TeV.00357750.physics_Main.daq.RAW/data18_13TeV.00357750.physics_Main.daq.RAW._lb0114._SFO-5._0003.data  --outputAODFile=aod.pool.root --outputHISTFile=hist.root --multithreaded='True' --preExec 'all:from AthenaMonitoring.DQMonFlags import DQMonFlags; DQMonFlags.doMonitoring=True; DQMonFlags.doNewMonitoring=True; DQMonFlags.doHLTMon=False' --postExec 'FPEAuditor.NStacktracesOnFPE=10' --autoConfiguration='everything' --conditionsTag 'all:CONDBR2-BLKPA-RUN2-03' --geometryVersion='default:ATLAS-R2-2016-01-00-01' --runNumber='357750' --steering='doRAWtoALL' --maxEvents='-1'
+
+echo "art-result: $? Reco_tf_data18_mt"
diff --git a/Tools/TrfTestsART/test/test_trf_q431_r2a_mt.sh b/Tools/TrfTestsART/test/test_trf_q431_r2a_mt.sh
new file mode 100755
index 0000000000000000000000000000000000000000..98ea2bd4b170948d67b2a70426ba2a43e6c68fc6
--- /dev/null
+++ b/Tools/TrfTestsART/test/test_trf_q431_r2a_mt.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+#
+# art-description: Reco_tf.py q431 RAWtoALL in MT mode
+# art-type: grid
+# art-include: master/Athena
+# art-athena-mt: 8
+
+export ATHENA_CORE_NUMBER=8
+Reco_tf.py --AMI q431 --multithreaded="True" --steering doRAWtoALL --maxEvents -1
+
+echo "art-result: $? Reco_tf_q431_r2a_mt"
diff --git a/Tools/TrfTestsART/test/test_trf_q431_r2e_mt.sh b/Tools/TrfTestsART/test/test_trf_q431_r2e_mt.sh
new file mode 100755
index 0000000000000000000000000000000000000000..2ae76ecd69342b48d214984fb6e401c77bcebba3
--- /dev/null
+++ b/Tools/TrfTestsART/test/test_trf_q431_r2e_mt.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+#
+# art-description: Reco_tf.py q431 RAWtoESD in MT mode
+# art-type: grid
+# art-include: master/Athena
+# art-athena-mt: 8
+
+export ATHENA_CORE_NUMBER=8
+Reco_tf.py --AMI q431 --multithreaded="True" --maxEvents -1
+
+echo "art-result: $? Reco_tf_q431_r2e_mt"